/*
 * Etisalat Egypt, Open Source
 * Copyright 2021, Etisalat Egypt and individual contributors
 * by the @authors tag.
 *
 * This program is free software: you can redistribute it and/or modify
 * under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation; either version 3 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>
 */

/**
 * @author Ayman ElSherif
 */

package com.rodan.intruder.ss7.usecases.model.location;

import com.rodan.intruder.kernel.usecases.model.ModuleResponse;
import com.rodan.intruder.ss7.entities.event.model.SubscriberInfo;
import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

@Getter @ToString
public class LocationAtiResponse extends ModuleResponse {
    private SubscriberInfo subscriberInfo;
    private String hlrGt;
    private String vmscGt;
    private String vlrGt;

    private Integer mcc;
    private Integer mnc;
    private Integer lac;
    private Integer cellId;

    @Builder
    public LocationAtiResponse(SubscriberInfo subscriberInfo, String hlrGt, String vmscGt, String vlrGt, Integer mcc,
                               Integer mnc, Integer lac, Integer cellId) {
        this.subscriberInfo = subscriberInfo;
        this.hlrGt = hlrGt;
        this.vmscGt = vmscGt;
        this.vlrGt = vlrGt;
        this.mcc = mcc;
        this.mnc = mnc;
        this.lac = lac;
        this.cellId = cellId;
    }
}
